dorsetdigital

or is it Windows? I dunno.. it's not supposed to be there

dorsetdigital

It might be that the subdomain doesn't automatically pick up the version information, or you need to add a htaccess or .ini directive... It's all a bit of guesswork really, so confirming a few things will help

dorsetdigital

Create a file (called 'x.php' or whatever) with the contents as shown earlier. Upload it to the web space and point a browser at it. It should show you all kinds of info about what's actually running

dorsetdigital

Have you checked to see what the actual PHP version is for the subdomain? (ie with the file @null suggested)

dorsetdigital

There are other ways around it with some composer settings if you have no way of changing

dorsetdigital

You really want the version which composer is using to be the same as the place you're deploying. That way everything is built against the same version